# Looks ─────────────────────────────────────────────────────────────
set font                        "{{ cjk_font }} {{ font_size }}"

set default-bg                  "{{ background }}"
set default-fg                  "{{ white2 }}"
set statusbar-fg                "{{ cyan }}"
set statusbar-bg                "{{ grey1 }}"
set inputbar-bg                 "{{ grey1 }}"
set inputbar-fg                 "{{ yellow }}"
set index-bg                    "{{ grey1 }}"
set index-fg                    "{{ white2 }}"
set index-active-bg             "{{ purple }}"
set index-active-fg             "{{ white2 }}"
set notification-bg             "{{ blue }}"
set notification-fg             "{{ background }}"
set notification-warning-bg     "{{ yellow }}"
set notification-warning-fg     "{{ background }}"
set notification-error-bg       "{{ red }}"
set notification-error-fg       "{{ background }}"
set highlight-color             "{{ yellow }}"
set highlight-active-color      "{{ blue }}"
set completion-highlight-fg     "{{ grey1 }}"
set completion-highlight-bg     "{{ blue }}"
set completion-bg               "{{ grey1 }}"
set completion-fg               "{{ blue }}"

set recolor                     "true"
set recolor-keephue             "true"
set recolor-reverse-video       "false"
set recolor-darkcolor           "{{ white2 }}"
set recolor-lightcolor          "{{ background }}"

# Settings ─────────────────────────────────────────────────────────────
set render-loading              "false"
set guioptions                  "hvs"
set window-height               1024
set window-width                960
set adjust-open                 "width"
set scroll-page-aware           "true"
set scroll-step                 50
set scroll-full-overlap         0.01
set first-page-column           2
set pages-per-row               1
set window-title-basename       "true"
set database                    "sqlite"
set selection-clipboard         "clipboard"
set sandbox                     "normal"

# Bindings ─────────────────────────────────────────────────────────────
map [normal]     <PageUp>   navigate previous
map [fullscreen] <PageUp>   navigate previous
map [normal]     <PageDown> navigate next
map [fullscreen] <PageDown> navigate next

map [normal]     <A-1> set "first-page-column 1:1"
map [fullscreen] <A-1> set "first-page-column 1:1"
map [normal]     <A-2> set "first-page-column 1:2"
map [fullscreen] <A-2> set "first-page-column 1:2"

map [index] q quit
